
#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "PerlGtkExt.h"
#include "PerlGnomeBonoboInt.h"

#include "GnomeBonoboDefs.h"

static void 
verb_handler (GnomeView *view, const char *verb_name, gpointer user_data) {
	HV * args = (HV*) user_data;
	SV * handler = *av_fetch(args, 0, 0);
	int i;
	dSP;

	ENTER;
	SAVETMPS;
	PUSHMARK(sp);
	XPUSHs(sv_2mortal(newSVGtkObjectRef(GTK_OBJECT(view), 0)));
	XPUSHs(sv_2mortal(newSVpv(verb_name, 0)));
	for (i=1;i<=av_len(args);i++)
		XPUSHs(sv_2mortal(newSVsv(*av_fetch(args, i, 0))));
	PUTBACK;

	perl_call_sv(handler, G_DISCARD);
	FREETMPS;
	LEAVE;

}

MODULE = Gnome::View		PACKAGE = Gnome::View		PREFIX = gnome_view_

#ifdef GNOME_VIEW

Gnome::View_Sink
new(Class, widget)
	SV *	Class
	Gtk::Widget	widget
	CODE:
	RETVAL = GNOME_VIEW(gnome_view_new(widget));
	OUTPUT:
	RETVAL

CORBA::Object
gnome_view_corba_object_create (view)
	Gnome::View	view

void
gnome_view_set_embeddable (view, embeddable)
	Gnome::View	view
	Gnome::Embeddable	embeddable

Gnome::Embeddable
gnome_view_get_embeddable (view)
	Gnome::View	view

void
gnome_view_set_view_frame (view, view_frame)
	Gnome::View	view
	CORBA::Object	view_frame

CORBA::Object
gnome_view_get_view_frame (view)
	Gnome::View	view

CORBA::Object
gnome_view_get_remote_ui_handler (view)
	Gnome::View	view

void
gnome_view_activate_notify (view, activated)
	Gnome::View	view
	gboolean	activated

void
gnome_view_set_ui_handler (view, ui_handler)
	Gnome::View	view
	Gnome::UIHandler	ui_handler

Gnome::UIHandler
gnome_view_get_ui_handler (view)
	Gnome::View	view

void
gnome_view_request_resize (view, width, height)
	Gnome::View	view
	int	width
	int	height

void
gnome_view_register_verb (view, verb_name, handler, ...)
	Gnome::View	view
	char *	verb_name
	SV *	handler
	CODE:
	{
		AV * args;
		args = newAV();
		
		PackCallbackST(args, 2);
		gnome_view_register_verb(view, verb_name, verb_handler, (gpointer)args);
	}

void
gnome_view_unregister_verb (view, verb_name)
	Gnome::View	view
	char *	verb_name

void
gnome_view_execute_verb (view, verb_name)
	Gnome::View	view
	char *	verb_name

char *
gnome_view_popup_verbs (view)
	Gnome::View	view

#endif

